Unable to update a new VM's config after VM is successfully created

12/14/2015 03:30 PM - Andrew Enstad
Assignee:    

Category: Compute resources - OpenStack   

Target version:    
Triaged:  Found in Releases:  
Description

After a new VM is created and successfully reporting back the status to Foreman, I tried to add/remove a Puppet Module on the

server.  However when I click "submit", the UI switches to the Network tab (Domain) and I cannot do anything with this and have to

cancel out the change.  Also, the correct Domain is already populated in the Domain field.

I have noticed that this occurs on VMs that show the "Float IP" on the Host-Details page, but with VMs that show the "Private IP and

MAC" I am able to successfully add/remove a Puppet Module.

This is a Foreman (1.7.5) with an Openstack (Kilo) backend.

There are 3 Subnets defined:

VM (Openstack VMs) (196.168.xxx.xxx)

BareMetal (other Infrastructure servers) (10.32.xx5.xxx)

Openstack-Hosts (Openstack Infrastrure components) (10.32.xx6.xxx)

There are 2 Domains defined:

Main environment domain (stage.xxxx.com)

VM sub-domain of the Main environment domain (vm.xxxx.com)

I am not seeing anything that stands out in the logs.

History

#1 - 12/15/2015 03:02 AM - Dominic Cleal

- Status changed from New to Feedback

production.log may indicate precisely which attribute is failing validation to allow you to fix it.

Otherwise this bug report is against too old a version, please re-test on a newer release as the networking support in hosts and the host form has

significantly changed as of Foreman 1.8.

#2 - 12/15/2015 09:52 AM - Andrew Enstad

From the production.log I see that is it pulling in my userid into the "MAC address field.  And is reporting that is is not a valid MAC address.  Any idea

why it would pull in that into the MAC?

#3 - 05/17/2017 11:14 AM - Anonymous

- Category set to Compute resources - OpenStack

- Status changed from Feedback to New
